function enableBand(curBandObj)
% Enables/Disables band selection when loading AIRS granules
% (i.e. one can enable one band at a time at a particular wavelength
% Input: the current band selection object
% Kevin Baggett
% Tue Jul 16 15:14:38 UTC 2002
h=guidata(gcf);

% get band string from the radio buttons
selectedBand=get(curBandObj,'String');
switch selectedBand
case 'Longwave'
    set(h.radLongwave,'Value',1);
    set(h.radMidwave,'Value',0);
    set(h.radShortwave,'Value',0);
    set(h.edLongwave,'Enable','On');
    set(h.edMidwave,'Enable','Off');
    set(h.edShortwave,'Enable','Off');
case 'Midwave'
    set(h.radLongwave,'Value',0);
    set(h.radMidwave,'Value',1);
    set(h.radShortwave,'Value',0);
    set(h.edLongwave,'Enable','Off');
    set(h.edMidwave,'Enable','On');
    set(h.edShortwave,'Enable','Off');
case 'Shortwave'
    set(h.radLongwave,'Value',0);
    set(h.radMidwave,'Value',0);
    set(h.radShortwave,'Value',1);
    set(h.edLongwave,'Enable','Off');
    set(h.edMidwave,'Enable','Off');
    set(h.edShortwave,'Enable','On');
end